package com.rwk.system.mapper;

import java.util.List;
import com.rwk.system.domain.RwkMeetingFile;
import com.rwk.system.domain.RwkMeetingStaff;

/**
 * 【教育培训附件】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface RwkMeetingFileMapper 
{
    /**
     * 查询【教育培训附件】
     * 
     * @param id 【教育培训附件】主键
     * @return 【教育培训附件】
     */
    public RwkMeetingFile selectRwkMeetingFileById(Long id);

    /**
     * 查询【教育培训附件】列表
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 【教育培训附件】集合
     */
    public List<RwkMeetingFile> selectRwkMeetingFileList(RwkMeetingFile rwkMeetingFile);

    /**
     * 新增【教育培训附件】
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 结果
     */
    public int insertRwkMeetingFile(RwkMeetingFile rwkMeetingFile);

    /**
     * 修改【教育培训附件】
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 结果
     */
    public int updateRwkMeetingFile(RwkMeetingFile rwkMeetingFile);

    /**
     * 删除【教育培训附件】
     * 
     * @param id 【教育培训附件】主键
     * @return 结果
     */
    public int deleteRwkMeetingFileById(Long id);

    /**
     * 批量删除【教育培训附件】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRwkMeetingFileByIds(String[] ids);


}
