package com.rwk.system.service;

import java.util.List;
import com.rwk.system.domain.RwkMeetingFile;

/**
 * 【教育培训附件】Service接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface IRwkMeetingFileService 
{
    /**
     * 查询【教育培训附件】
     * 
     * @param id 【教育培训附件】主键
     * @return 【教育培训附件】
     */
    public RwkMeetingFile selectRwkMeetingFileById(Long id);

    /**
     * 查询【教育培训附件】列表
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 【教育培训附件】集合
     */
    public List<RwkMeetingFile> selectRwkMeetingFileList(RwkMeetingFile rwkMeetingFile);

    /**
     * 新增【教育培训附件】
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 结果
     */
    public int insertRwkMeetingFile(RwkMeetingFile rwkMeetingFile);

    /**
     * 修改【教育培训附件】
     * 
     * @param rwkMeetingFile 【教育培训附件】
     * @return 结果
     */
    public int updateRwkMeetingFile(RwkMeetingFile rwkMeetingFile);

    /**
     * 批量删除【教育培训附件】
     * 
     * @param ids 需要删除的【教育培训附件】主键集合
     * @return 结果
     */
    public int deleteRwkMeetingFileByIds(String ids);

    /**
     * 删除【教育培训附件】信息
     * 
     * @param id 【教育培训附件】主键
     * @return 结果
     */
    public int deleteRwkMeetingFileById(Long id);
}
