package com.rwk.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 rwk_meeting_file
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public class RwkMeetingFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fileName;

    /** 密级 */
    @Excel(name = "密级")
    private String secret;

    /** 保密期限 */
    @Excel(name = "保密期限")
    private String secretDate;

    /** 教育培训ID */
    @Excel(name = "教育培训ID")
    private Long meetingId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }

    public void setSecret(String secret) 
    {
        this.secret = secret;
    }

    public String getSecret() 
    {
        return secret;
    }

    public void setSecretDate(String secretDate) 
    {
        this.secretDate = secretDate;
    }

    public String getSecretDate() 
    {
        return secretDate;
    }

    public void setMeetingId(Long meetingId) 
    {
        this.meetingId = meetingId;
    }

    public Long getMeetingId() 
    {
        return meetingId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileName", getFileName())
            .append("secret", getSecret())
            .append("secretDate", getSecretDate())
            .append("meetingId", getMeetingId())
            .toString();
    }
}
